Function
mapFileSegment
Map a segment of a file into memory.
mapFileSegment(mapping, fileOfs[, size[, mode]])
Include Headers
seqan/file.h
Parameters

mapping | A file mapping object. Types: FileMapping
fileOfs | The absolute start address of the segment in bytes.
size | The segment length in bytes. Default: The rest of the file.
mode | The mapping access mode. Types: FileMappingMode Default: The read/write open mode of the underlying file.

Return Values
A pointer to the beginning of the memory-mapped segment in memory or NULL on error.
Types: void *
Member of
FileMapping
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58